Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.access
Class DeleteDenyException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.objectstyle.cayenne.CayenneRuntimeException
                      org.objectstyle.cayenne.DeleteDenyException
                          org.objectstyle.cayenne.access.DeleteDenyException

All Implemented Interfaces:
  java.io.Serializable

Deprecated. since 1.2 moved to org.objectstyle.cayenne package.

    public class DeleteDenyException

extends DeleteDenyException

An exception thrown during an attempt to delete an object that has a relationship to a non-null related object, that has a DENY delete rule.

Author:
  Craig Miskell
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.objectstyle.cayenne.DeleteDenyException
`object, relationship`

Constructor Summary
`DeleteDenyException()` Deprecated.
`DeleteDenyException(Persistent object, java.lang.String relationship, java.lang.String reason)` Deprecated.
`DeleteDenyException(java.lang.String message)` Deprecated.

Method Summary

Methods inherited from class org.objectstyle.cayenne.DeleteDenyException
`getMessage, getObject, getRelationship`

Methods inherited from class org.objectstyle.cayenne.CayenneRuntimeException
`getUnlabeledMessage`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DeleteDenyException

    public DeleteDenyException()

  Deprecated.

### DeleteDenyException

    public DeleteDenyException(Persistent object,
                               java.lang.String relationship,
                               java.lang.String reason)

  Deprecated.

### DeleteDenyException

    public DeleteDenyException(java.lang.String message)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.